Help for integrating the Laravel package
Forum rules: Always add your Laravel, Aimeos and PHP version as well as your environment (Linux/Mac/Win)
#2276 by swpierce
24 Dec 2015, 14:35
Fresh installs of composer (1.0-dev), Laravel (5.2.4), and Aimeos (1.2). Unable to open the storefront or the admin panels. Both result in this:

Admin error:
Code: Select allFatalErrorException in AdminController.php line 31:
Class 'Input' not found


Storefront error:
Code: Select allFatalErrorException in View.php line 35:
Class 'Input' not found


I've uninstalled everything and reinstalled twice. Same results each time.
#2278 by swpierce
25 Dec 2015, 14:17
In addition to the above errors, if I do a clean install of 1.1 that works fine, change composer to
Code: Select all"require": {
        "aimeos/aimeos-laravel": "1.2",
        ...
 },

and then run
Code: Select allcomposer update
, I get an error trying to open the admin panel. The problem is on line 44:
Code: Select allundefined jsFiles